POST
/api/v1/callscountGet Call Count
Retrieves the total number of API calls based on the provided date filters(The times are based on UTC).
- •1: If both fromDate and toDate are provided, returns calls within the specified range.
- •2: If only fromDate is provided, returns calls from that date up to the current date.
- •3: If only toDate is provided, returns calls from the first day of that month up to the specified toDate.
- •4: If no dates are provided, returns calls for the current month up to the present day.
POST
/api/v1/callscountNote
fromDate and toDate cannot be future dates.
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
» fromDate | body | string | Required | Start Date |
» toDate | body | string | Required | End Date |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | |
| 400 | Bad Request | Request data failed validation(s) | None |
| 401 | Unauthorized | Authentication Failed! | None |
| 429 | Too Many Requests | Too Many Requests. | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /api/v1/callscount \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
Body parameter
{
"fromDate": "string",
"toDate": "string",
}
Example responses
200 Response
{
"usageFrom": "2025-10-01T00:00:00",
"usageUntil": "2025-10-06T08:13:06",
"totalCalls": 2500,
}
Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.